| OpenGL-2.4.0.1: A binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.GL.SavingState

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 6.1.14 (Saving and Restoring State) of the OpenGL 2.1 specs.
Documentation

data ServerAttributeGroup | Source

Constructors

CurrentAttributes |
PointAttributes |
LineAttributes |
PolygonAttributes |
PolygonStippleAttributes |
PixelModeAttributes |
LightingAttributes |
FogAttributes |
DepthBufferAttributes |
AccumBufferAttributes |
StencilBufferAttributes |
ViewportAttributes |
TransformAttributes |
EnableAttributes |
ColorBufferAttributes |
HintAttributes |
EvalAttributes |
ListAttributes |
TextureAttributes |
ScissorAttributes |
MultisampleAttributes |
AllServerAttributes |

Instances

Eq ServerAttributeGroup
Ord ServerAttributeGroup
Show ServerAttributeGroup

preservingAttrib :: [ServerAttributeGroup] -> IO a -> IO a | Source

data ClientAttributeGroup | Source

Constructors

PixelStoreAttributes |
VertexArrayAttributes |
AllClientAttributes |

Instances

Eq ClientAttributeGroup
Ord ClientAttributeGroup
Show ClientAttributeGroup

preservingClientAttrib :: [ClientAttributeGroup] -> IO a -> IO a | Source

Produced by Haddock version 2.4.2